
Katello - Bug #15772

Errors during content view promotion "Validation failed: Puppet environment can't be blank".

07/21/2016 01:51 PM - Brian Shaw

Status: Closed   

Priority: High   

Assignee: Justin Sherrill   

Category:    

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In Katello 2.4, I'm getting errors trying to promote a content view.  The task reports: "Validation failed: Puppet environment can't be

blank".  Any idea what might be causing this or how to fix it?

Thanks.

Brian

History

#1 - 07/21/2016 02:24 PM - Brian Shaw

I am also seeing:

Validation failed: Puppet environment can't be blank

undefined method `locations=' for nil:NilClass

And it won't let me cancel the task.

#2 - 07/27/2016 01:07 PM - Justin Sherrill

- Assignee set to Justin Sherrill

#3 - 07/27/2016 01:07 PM - Justin Sherrill

- Subject changed from Errors during content view promotion to Errors during content view promotion "Validation failed: Puppet environment can't be

blank".

#4 - 07/27/2016 02:42 PM - Justin Sherrill

- Status changed from New to Need more information

- translation missing: en.field_release set to 166

Can you try running through this gist:

https://gist.github.com/jlsherrill/2dd11592853885643251

If that doesn't help, uploading the full traceback may be helpful too.

#5 - 08/03/2016 01:04 PM - Justin Sherrill

- Status changed from Need more information to Closed

Closing, please feel free to reopen if you are still seeing it
